apiVersion: kubedb.com/v1alpha1
kind: Postgres
metadata:
  name: hello-spring-db
  namespace: apps
spec:
  version: "11.2"
  storageType: Durable
  storage:
    accessModes:
      - ReadWriteOnce
    resources:
      requests:
        storage: 5Gi
  #   https://kubedb.com/docs/0.9.0/concepts/databases/postgres/
  terminationPolicy: WipeOut
  # backupSchedule:
  #   cronExpression: "@every 24h"
  #   storageSecretName: kubedb-snapshot-secret
  #   s3:
  #     endpoint: ams3.digitaloceanspaces.com
  #     bucket: hello-spring-db
  #   podTemplate:
  #     spec:
  #       resources:
  #         requests:
  #           memory: "64Mi"
  #           cpu: "250m"
  #         limits:
  #           memory: "128Mi"
  #           cpu: "500m"
  #  archiver:
  #    storage:
  #      storageSecretName: kubedb-snapshot-secret
  #      s3:
  #        bucket: hello-spring-db
  #        endpoint: ams3.digitaloceanspaces.com
  podTemplate:
    spec:
      resources:
#       requests:
#         memory: "64Mi"
#         cpu: "250m"
#       limits:
#         memory: "128Mi"
#         cpu: "500m"
#  monitor:
#    agent: prometheus.io/coreos-operator
#    prometheus:
#      namespace: cattle-prometheus
#      labels:
#        k8s-app: prometheus
#      interval: 10s
#   init:
#     postgresWAL:
#       storageSecretName: kubedb-snapshot-secret
#       s3:
#         bucket: hello-spring-db
#         endpoint: ams3.digitaloceanspaces.com
#         prefix: "kubedb/db/hello-spring-db/archive